package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * OrderDetailsStatus generated by hbm2java
 */
@Entity
@Table(name="order_details_status"
    ,catalog="northwind"
)
public class OrderDetailsStatus  implements java.io.Serializable {


     private int id;
     private String statusName;
     private Set<OrderDetails> orderDetailses = new HashSet<OrderDetails>(0);

    public OrderDetailsStatus() {
    }

	
    public OrderDetailsStatus(int id, String statusName) {
        this.id = id;
        this.statusName = statusName;
    }
    public OrderDetailsStatus(int id, String statusName, Set<OrderDetails> orderDetailses) {
       this.id = id;
       this.statusName = statusName;
       this.orderDetailses = orderDetailses;
    }
   
     @Id 
    
    @Column(name="id", unique=true, nullable=false)
    public int getId() {
        return this.id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    @Column(name="status_name", nullable=false, length=50)
    public String getStatusName() {
        return this.statusName;
    }
    
    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }
@OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="orderDetailsStatus")
    public Set<OrderDetails> getOrderDetailses() {
        return this.orderDetailses;
    }
    
    public void setOrderDetailses(Set<OrderDetails> orderDetailses) {
        this.orderDetailses = orderDetailses;
    }




}


